#!/bin/bash

export LANG="en_US.UTF-8"
export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/bin

# path define
tftppath="/var/lib/tftpboot/"
logpath="/var/log/messages"

# date define
now=`date "+%Y-%m-%d_%H:%M:%S"` 
nowdate=`date "+%Y-%m-%d"` 

# local features define
localip=`ip a | grep "scope global" | head -n 1 | awk '{print $2}' | awk -F "/" '{print $1}'`
uuid=`ip a | grep "link/ether" | head -n 1 | awk '{printf $2}' | sed 's/:/-/g' | sed 's/^/jxcloud-/g'`
version=`rpm -qa | grep jxboot | head -n 1 | awk -F "-" '{print $2}'`

# jxcloud center ip address
jxcenter="boot.jxit.net.cn"

echo "$now test network" >> $logpath
ping -c 1 $jxcenter
if [ $? -ne 0 ]; then
  echo "$now network is not ok" >> $logpath
  exit
fi
echo "$now network is ok" >> $logpath

echo "$now get frpc conf from $jxcenter" >> $logpath
curl -s http://$jxcenter/cgi-bin/frpc-ini.cgi?uuid=$uuid\&localip=$localip\&ostype=jxboot\&hostname=$(hostname)\&version=$version > /tmp/frpc.ini

oldmd5=$(md5sum /etc/frpc.ini | awk '{print $1}')
newmd5=$(md5sum /tmp/frpc.ini | awk '{print $1}')
if [ ! -e /etc/frpc.ini -o "$oldmd5" != "$newmd5" ]; then
  echo "$now update local frpc conf from $jxcenter and restart frpc" >> $logpath
  mv /tmp/frpc.ini /etc/
  killall frpc -9
  nohup $tftppath/frpc -c /etc/frpc.ini 2>&1 >> $logpath &
fi
